com.tibbo.aggregate.common.protocol

## Class OutgoingJsonCommand

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - com.tibbo.aggregate.common.communication.Command
      - - com.tibbo.aggregate.common.protocol.AggreGateCommand
        - - com.tibbo.aggregate.common.protocol.OutgoingAggreGateCommand
          - - com.tibbo.aggregate.common.protocol.OutgoingJsonCommand

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class OutgoingJsonCommand
      extends OutgoingAggreGateCommand

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.protocol.OutgoingAggreGateCommand

      `async, id, paramCount`

    - ### Fields inherited from class com.tibbo.aggregate.common.protocol.AggreGateCommand

      `CLIENT_COMMAND_VISIBLE_SEPARATOR, COMMAND_CODE_MESSAGE, COMMAND_CODE_REPLY, COMMAND_OPERATION_ADD_EVENT_LISTENER, COMMAND_OPERATION_CALL_FUNCTION, COMMAND_OPERATION_GET_VAR, COMMAND_OPERATION_REMOVE_EVENT_LISTENER, COMMAND_OPERATION_SET_VAR, END_CHAR, INDEX_COMMAND_CODE, INDEX_DATA_TABLE_IN_REPLY, INDEX_EVENT_CONTEXT, INDEX_EVENT_DATA_TABLE, INDEX_EVENT_ID, INDEX_EVENT_LEVEL, INDEX_EVENT_LISTENER, INDEX_EVENT_NAME, INDEX_EVENT_SERVER_ID, INDEX_EVENT_TIMESTAMP, INDEX_ID, INDEX_MESSAGE_CODE, INDEX_OPERATION_CODE, INDEX_OPERATION_CONTEXT, INDEX_OPERATION_FILTER, INDEX_OPERATION_FINGERPRINT, INDEX_OPERATION_LISTENER_CODE, INDEX_OPERATION_MESSAGE_DATA_TABLE, INDEX_OPERATION_MESSAGE_FLAGS, INDEX_OPERATION_MESSAGE_QUEUE_NAME, INDEX_OPERATION_TARGET, INDEX_PROTOCOL_VERSION, INDEX_REPLY_CODE, INDEX_REPLY_DETAILS, INDEX_REPLY_MESSAGE, INDEX_START_COMPRESSION, INDEX_START_PROTOCOL_VERSION, JSON_START_ARRAY_SEPARATOR, MESSAGE_CODE_COMPRESSION, MESSAGE_CODE_EVENT, MESSAGE_CODE_OPERATION, MESSAGE_CODE_START, START_CHAR`

    - ### Fields inherited from class com.tibbo.aggregate.common.communication.Command

      `completed`

    - ### Fields inherited from class java.io.ByteArrayOutputStream

      `buf, count`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutgoingJsonCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutgoingJsonCommand` | `addParam(java.lang.String param)`
    `void` | `complete()`

    - ### Methods inherited from class com.tibbo.aggregate.common.protocol.OutgoingAggreGateCommand

      `constructEvent, constructReply, constructReply, constructReply, footer, getId, header, isAsync, setAsync`

    - ### Methods inherited from class com.tibbo.aggregate.common.protocol.AggreGateCommand

      `checkCommandString, generateId, toString`

    - ### Methods inherited from class com.tibbo.aggregate.common.communication.Command

      `add, getContent, getTimeout, isContentEmpty, send, send, send, setTimeout`

    - ### Methods inherited from class java.io.ByteArrayOutputStream

      `close, reset, size, toByteArray, toString, toString, write, write, writeTo`

    - ### Methods inherited from class java.io.OutputStream

      `flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutgoingJsonCommand

          public OutgoingJsonCommand()

  - ### Method Detail

    - #### addParam

          public OutgoingJsonCommand addParam(java.lang.String param)

      Overrides:
        `addParam` in class `OutgoingAggreGateCommand`

    - #### complete

          public void complete()

      Overrides:
        `complete` in class `Command`